Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.tarification.builder.impl
Class RequestBuilderImpl

    java.lang.Object
      be.ehealth.businessconnector.tarification.builder.impl.RequestBuilderImpl

All Implemented Interfaces:
  RequestBuilder

    public class RequestBuilderImpl

extends Object
implements RequestBuilder

Implementation of `RequestBuilder`

Constructor Summary
`RequestBuilderImpl()`

Method Summary
`TarificationConsultationRequest` | `buildConsultationRequest(CommonInput commonInput, Routing routing, Blob blob)` builds the request object.
`TarificationConsultationRequest` | `buildConsultationRequest(Routing routing, byte[] content, String uniqueInputReference)` builds the request object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestBuilderImpl

    public RequestBuilderImpl()

Method Detail

### buildConsultationRequest

    public TarificationConsultationRequest buildConsultationRequest(CommonInput commonInput,
                                                                    Routing routing,
                                                                    Blob blob)
                                                             throws TechnicalConnectorException

  Description copied from interface: `RequestBuilder`
  builds the request object.

  Specified by:
    `buildConsultationRequest` in interface `RequestBuilder`
  Parameters:
    `commonInput` - commonInput as generated by mycarenet common builder
    `routing` - routing , as generated by mycarenet common builder
    `blob` - a Blob , with type 'text/xml' , contentEncoding 'none' and id (for Xades ). A HashValue must not be provided.
  Returns:
    `RegisterToMycarenetServiceRequest`
  Throws:
    `TechnicalConnectorException`
  See Also:
    `xadesValue is not set because of it's not allowed for this project.`

### buildConsultationRequest

    public TarificationConsultationRequest buildConsultationRequest(Routing routing,
                                                                    byte[] content,
                                                                    String uniqueInputReference)
                                                             throws TechnicalConnectorException

  Description copied from interface: `RequestBuilder`
  builds the request object.

  Specified by:
    `buildConsultationRequest` in interface `RequestBuilder`
  Parameters:
    `routing` - routing , as generated by mycarenet common builder
    `content` - byte array containing the business xml
  Returns:
    `RegisterToMycarenetServiceRequest`
  Throws:
    `TechnicalConnectorException`
  See Also:
    `be.ehealth.businessconnector.tarification.builder.RequestBuilder#buildTarificationToMycarenetRequest(be.ehealth.business.mycarenetcommons.domain.Routing, byte[])`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSDENTIST 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.